Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #1  
Old 27 Feb 2021, 13:47
Dr.CustUmz's Avatar
Dr.CustUmz Dr.CustUmz is offline
 
Join Date: Aug 2013
Real name: Ryan
vBulletin 3.8.14 (PHP 7.4) - RELEASE

If you need vBulletin 3 with support for upto php 7.4 I have just bundled together a package and plan on supporting it.

This is NOT a complete vBulletin, This is NOT a Null! You will still need to have a legit copy of vBulletin 3.8.11, And yes although against vBulletin policy, someone has to update it, there are many of us who still use vB3 and we should HAVE to upgrade to other versions to get support.

Now I know releasing this is 100% a profit loss not only to myself, but to others who charge for such services also, but I feel with the more and more host providers only utilizing PHP 7 vBulletin 3 customers deserve some kind of support.


Updated to 3.8.14
You can find out more HERE!
__________________
If you need custom work done please use Dirt RIF CustUmz
Owner of vBTeam
vBulletin 3.8.14 DRC Edition PHP 7.4 Compatible- NOT a null, NOT complete files Requires a legit copy of vBulletin 3.8.11.

Last edited by Dr.CustUmz; 06 Mar 2021 at 04:02. Reason: 3.8.14 update
Reply With Quote
  #2  
Old 27 Feb 2021, 14:21
lange's Avatar
lange lange is offline
 
Join Date: Apr 2003
Thank you for your share.

I see on your website
Products Confirmed Incompatible with PHP 7.4
CYB - Chatbox
I can confirm that Cyb Chatbox is compatible with PHP 7.4.11.
Attached Files
File Type: xml product-cybchatbox7.4.xml (97.8 KB, 6 views)

Last edited by lange; 27 Feb 2021 at 14:28.
Reply With Quote
  #3  
Old 27 Feb 2021, 14:31
Dr.CustUmz's Avatar
Dr.CustUmz Dr.CustUmz is offline
 
Join Date: Aug 2013
Real name: Ryan
Those are the only 2 products I have installed on my forum that I did not make and both of them threw an error after upgrading, easy enough to fix, but by default the error was there.
__________________
If you need custom work done please use Dirt RIF CustUmz
Owner of vBTeam
vBulletin 3.8.14 DRC Edition PHP 7.4 Compatible- NOT a null, NOT complete files Requires a legit copy of vBulletin 3.8.11.
Reply With Quote
  #4  
Old 27 Feb 2021, 14:45
lange's Avatar
lange lange is offline
 
Join Date: Apr 2003
I've dabbled in this product a lot and I'm not a coder but everything is working fine now.

The following Attachments can help:
Attached Images
File Type: png cybchat74-1.png (5.2 KB, 14 views)
Attached Files
File Type: txt Cyb - ChatBox - MN.txt (32.7 KB, 4 views)

Last edited by lange; 27 Feb 2021 at 15:55.
Reply With Quote
  #5  
Old 27 Feb 2021, 14:55
Dr.CustUmz's Avatar
Dr.CustUmz Dr.CustUmz is offline
 
Join Date: Aug 2013
Real name: Ryan
Originally Posted by lange View Post
I've dabbled in this product a lot and I'm not a coder but everything is working fine now.

The following Attachments can help:
your chatbox is modified, and not the original version located here:
https://www.vbulletin.org/forum/showthread.php?t=177552

So I stand by my statement, the default product does NOT work, and will need to be modified to support php 7.4

I'm not saying I do not know how to fix it (I have already)

In fact, your version strips some of the options just to be compatible
__________________
If you need custom work done please use Dirt RIF CustUmz
Owner of vBTeam
vBulletin 3.8.14 DRC Edition PHP 7.4 Compatible- NOT a null, NOT complete files Requires a legit copy of vBulletin 3.8.11.
Reply With Quote
  #6  
Old 27 Feb 2021, 15:14
lange's Avatar
lange lange is offline
 
Join Date: Apr 2003
Thumbs up

I know you are a very good coder!

I have to thank Pinkmilk again with this product because he helped me a lot in the following topic: https://www.vbulletin.org/forum/show...29#post2601729
Reply With Quote
  #7  
Old 06 Mar 2021, 04:02
Dr.CustUmz's Avatar
Dr.CustUmz Dr.CustUmz is offline
 
Join Date: Aug 2013
Real name: Ryan
3.8.14 update
__________________
If you need custom work done please use Dirt RIF CustUmz
Owner of vBTeam
vBulletin 3.8.14 DRC Edition PHP 7.4 Compatible- NOT a null, NOT complete files Requires a legit copy of vBulletin 3.8.11.
Reply With Quote
  #8  
Old 06 Mar 2021, 05:46
wangyu1314 wangyu1314 is offline
 
Join Date: May 2005
a good job. thank you.
Do you plan to be compatible with PHP8.0? Thank you.
VB 3.8.X has been officially EOL, but I think it is still very easy to use, it has many useful functions that VB5.X or XF2.3 still does not exist..

Last edited by wangyu1314; 06 Mar 2021 at 06:01.
Reply With Quote
  #9  
Old 06 Mar 2021, 05:55
Dr.CustUmz's Avatar
Dr.CustUmz Dr.CustUmz is offline
 
Join Date: Aug 2013
Real name: Ryan
when my server provider includes php 8 I will begin updating for it. although I may hold off for the first couple iterations, because like php7 alto of changes were made in between revisions. So I may wait for example 8.4

And yea I love vb3, the simplicity of it yet it has everything you need, and people dont realize ANY feature in all these new forum softwares, ANY FEAUTURE AT ALL can be brought to vb3. You are only limited by your creativity, ...and your wallet lol.
__________________
If you need custom work done please use Dirt RIF CustUmz
Owner of vBTeam
vBulletin 3.8.14 DRC Edition PHP 7.4 Compatible- NOT a null, NOT complete files Requires a legit copy of vBulletin 3.8.11.
Reply With Quote
  #10  
Old 06 Mar 2021, 14:02
lange's Avatar
lange lange is offline
 
Join Date: Apr 2003
I am also interested in a PHP 8 compatible version.
Reply With Quote
  #11  
Old 10 Mar 2021, 19:35
boss22 boss22 is offline
 
Join Date: Oct 2012
Originally Posted by lange View Post
Thank you for your share.

I see on your website
I can confirm that Cyb Chatbox is compatible with PHP 7.4.11.
i got this error when install your product above (chatbox for 7.4 PHP)


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

some help?

regards
__________________
Welcome to Libar
Reply With Quote
  #12  
Old 11 Mar 2021, 00:04
lange's Avatar
lange lange is offline
 
Join Date: Apr 2003
I already had this error message in the past. You have to remove and reinstall the mod every time you get this error message.

take a look at https://www.vbulletin.org/forum/show...83&postcount=4
Reply With Quote
  #13  
Old 11 Mar 2021, 00:38
boss22 boss22 is offline
 
Join Date: Oct 2012
Originally Posted by lange View Post
I already had this error message in the past. You have to remove and reinstall the mod every time you get this error message.

take a look at https://www.vbulletin.org/forum/show...83&postcount=4
I did it but error message come up whole time! Reinstalled and installed many times and made changes in plugin!
__________________
Welcome to Libar
Reply With Quote
  #14  
Old 11 Mar 2021, 01:30
lange's Avatar
lange lange is offline
 
Join Date: Apr 2003
Try the attach file on a new install (uninstall your old install) and install the attach file.


Tested 10 min ago, it work fine on 3.8.11 & 7.4.x
Attached Files
File Type: xml product-cybchatbox.xml (97.7 KB, 4 views)
Reply With Quote
  #15  
Old 11 Mar 2021, 11:28
boss22 boss22 is offline
 
Join Date: Oct 2012
Originally Posted by lange View Post
Try the attach file on a new install (uninstall your old install) and install the attach file.


Tested 10 min ago, it work fine on 3.8.11 & 7.4.x
Thanks - works fine!
__________________
Welcome to Libar
Reply With Quote
Reply

Similar Threads
Thread Thread Starter Forum Replies Last Post
Large Edit Box & Button for Newthread.php/NewRepy.php (with /admincp/textarea.php) h75 vBulletin 3.0 Full Releases 6 12 Jan 2005 02:55
Redirect to Register Hack - Redirect from newreply.php, newthread.php & usercp.php... Chris M vBulletin 2.x Full Releases 27 04 Oct 2003 21:02



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 00:46.

Layout Options | Width: Wide Color: